#include <stdio.h>
#include <algorithm>

using namespace std;

int main()
{
    int n, x, l=0, d=0;
    scanf("%d%d", &n, &x);
    l=d=x;
    int i;
    for(i=0;i<n;i++)
    {
        int k;
        scanf("%d", &k);
        if(k<x && x-k>x-l)
            l=k;
        if(k>x && k-x>d-x)
            d=k;
    }
    printf("%d", d-l+min(x-l,d-x));
    return 0;
}